Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.util
Class PolicyUtil

    java.lang.Object
      org.wso2.wsas.util.PolicyUtil

    public class PolicyUtil

extends java.lang.Object

Constructor Summary
`PolicyUtil()`

Method Summary
`static org.apache.axiom.om.OMElement` | `getEmptyPolicyAsOMElement()`
`static org.apache.axiom.om.OMElement` | `getPolicyAsOMElement(org.apache.neethi.Policy policy)`
`static java.lang.String` | `getPolicyAsString(org.apache.neethi.Policy policy)`
`static org.apache.neethi.Policy` | `getPolicyFromOMElement(org.apache.axiom.om.OMElement policyElement)`
`static org.apache.axiom.om.OMElement` | `getWrapper(java.lang.String name)`
`static java.lang.String[]` | `processPolicyElements(java.util.Iterator policyIterator, org.apache.neethi.PolicyRegistry registry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyUtil

    public PolicyUtil()

Method Detail

### getPolicyAsOMElement

    public static org.apache.axiom.om.OMElement getPolicyAsOMElement(org.apache.neethi.Policy policy)

### getPolicyAsString

    public static java.lang.String getPolicyAsString(org.apache.neethi.Policy policy)

### getPolicyFromOMElement

    public static org.apache.neethi.Policy getPolicyFromOMElement(org.apache.axiom.om.OMElement policyElement)

### getEmptyPolicyAsOMElement

    public static org.apache.axiom.om.OMElement getEmptyPolicyAsOMElement()

### getWrapper

    public static org.apache.axiom.om.OMElement getWrapper(java.lang.String name)

### processPolicyElements

    public static java.lang.String[] processPolicyElements(java.util.Iterator policyIterator,
                                                           org.apache.neethi.PolicyRegistry registry)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD